Bug 223147 - pidofproc the not accept -p argument
pidofproc the not accept -p argument
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 18:57 EST by Neil Schemenauer
Modified: 2014-03-25 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Schemenauer 2007-01-17 18:57:55 EST
Description of problem:

As per title.  Red Hat Enterprise Linux 4 claims to conform to the LSB 3.0.  It
seems quite surprising to me that no one has noticed this bug.  See
http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/iniscrptfunc.html
.
====================================================
$ . /lib/lsb/init-functions
$ pidofproc -p /var/run/klogd.pid klogd
pidof: invalid options on command line!

pidof: invalid options on command line!
====================================================

Debian and SuSE get this right I believe.  It looks like 'killproc' has the same
bug.
Comment 1 Ragnar Kjørstad 2009-02-12 14:09:36 EST
start_daemon also have the same problem.
Comment 2 Jiri Pallich 2012-06-20 11:57:51 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.